## wget2 0.0.20170806

=== debian/changelog ===
wget2 (0.0.20170806-1) unstable; urgency=low

  * Initial release of wget2 the successor of wget

 -- Noël Köthe <noel@debian.org>  Mon, 07 Aug 2017 17:38:26 +0200
