=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wget2
 Priority: optional
 Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, doxygen, gettext, zlib1g-dev, liblzma-dev, libbz2-dev, libgnutls28-dev, libidn11-dev, libidn2-0-dev, flex, libpsl-dev, automake, dh-strip-nondeterminism, gnulib, libnghttp2-dev, graphviz
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), pkg-config, doxygen, pandoc, gettext, zlib1g-dev, liblzma-dev, libbz2-dev, libbrotli-dev, libpcre2-dev, libgnutls28-dev, libidn11-dev, libidn2-dev, flex, libpsl-dev, automake, dh-strip-nondeterminism, gnulib, libnghttp2-dev, graphviz, libgpgme-dev, texinfo
+Standards-Version: 4.1.4
 Section: web
 Homepage: https://gitlab.com/gnuwget/wget2
 Vcs-Git: https://gitlab.com/gnuwget/wget2.git
