=== debian/rules ===
--- 
+++ 
@@ -42,11 +42,10 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	touch build-stamp
 
-clean: 
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -63,7 +62,7 @@
 	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the package into debian/wget.
+	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_install
