## wget2 2.1.0

=== debian/changelog ===
wget2 (2.1.0-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Save binary gmo files which are uselessly shipped in upstream tarball
  * d/gbp.conf: Use pristine-tar

  [ Thomas Uhle ]
  * Apply patch from upstream to fix chunk_size conversion on 32bit arch
    Closes: #1088242
  * Build  with bzip2 support
    Closes: #1089154

 -- Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>  Fri, 06 Dec 2024 13:31:14 +0100

wget2 (2.1.0-4) unstable; urgency=medium

  * Build-Depends: libmicrohttpd-dev to run all build-time tests

 -- Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>  Tue, 24 Sep 2024 17:44:22 +0200

wget2 (2.1.0-3) unstable; urgency=medium

  * Team upload of Debian team
  * Fix Vcs fields
  * Standards-Version: 4.7.0 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Remove empty debian/patches/series.
  * Rely on pre-initialized dpkg-architecture variables.
  * Short dh
    Closes: #1054291
  * wrap-and-sort
  * Build-Depends: lzip, python3
  * Enable Multi-Arch installation
  * Fix watch file
  * Deal with dh_missing --fail-missing default
  * Build-Depends: libidn-dev => removed since unneeded (see bug #1054291)
  * Install usr/share/locale
  * Drop unneeded dpkg-dev from Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2024 15:15:48 +0200

wget2 (2.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063197

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:57:32 +0000

wget2 (2.1.0-2) unstable; urgency=medium

  * debian/rules replace config.gues|sub copy with dh_update_autotools_config
  * Thank to Boyuan Yang <byang@d.o> for the following corrections and patches.
    closes: Bug#1012666
    - removed unneded debian/*.dirs
    - debian/control added build-dep libzstd-dev, liblz-dev for compression
      support
  * debian/copyright added Upstream-Contact: as suggested by James Addison

 -- Noël Köthe <noel@debian.org>  Sun, 10 Sep 2023 11:38:28 +0200

wget2 (2.1.0-1) unstable; urgency=medium

  * new upstream release from 2023-08-31
    - progress bar is now default, dot do not trigger an error. closes: #995377
    - --unlink command option fixed. closes: #990109
    - -X command option fixed. closes: #1050932
    - --content-disposition command option fixed. closes: #1005865
    - <ctrl>+c fixed (no core dump). closes: #991540
  * removed debian/shlibs.local
  * changed to dh13, debhelper-compat
  * SONAME bump to 2

 -- Noël Köthe <noel@debian.org>  Sat, 09 Sep 2023 15:02:25 +0200
