=== debian/control ===
--- 
+++ 
@@ -1,16 +1,41 @@
 Source: wget2
 Priority: optional
 Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config, doxygen, pandoc, gettext, zlib1g-dev, liblzma-dev, libbz2-dev, libbrotli-dev, libpcre2-dev, libgnutls28-dev, libidn11-dev, libidn2-dev, flex, libpsl-dev, automake, dh-strip-nondeterminism, gnulib, libnghttp2-dev, graphviz, libgpgme-dev, texinfo
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (=13),
+               dh-strip-nondeterminism,
+               doxygen,
+               flex,
+               gettext,
+               gnulib,
+               graphviz,
+               libbrotli-dev,
+               libbz2-dev,
+               libgnutls28-dev,
+               libgpgme-dev,
+               libidn2-dev,
+               liblz-dev,
+               liblzma-dev,
+               libmicrohttpd-dev <!nocheck>,
+               libnghttp2-dev,
+               libpcre2-dev,
+               libpsl-dev,
+               libzstd-dev,
+               lzip,
+               pandoc,
+               pkgconf,
+               python3,
+               texinfo,
+               zlib1g-dev
+Standards-Version: 4.7.0
 Section: web
+Vcs-Git: https://salsa.debian.org/debian/wget2.git
+Vcs-Browser: https://salsa.debian.org/debian/wget2
 Homepage: https://gitlab.com/gnuwget/wget2
-Vcs-Git: https://gitlab.com/gnuwget/wget2.git
-Vcs-Browser: https://gitlab.com/gnuwget/wget2
+Rules-Requires-Root: no
 
 Package: wget2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libwget0
+Depends: libwget2t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Description: file and recursive website downloader
  GNU Wget is a network utility to retrieve files from the web
@@ -34,10 +59,13 @@
  .
  GNU Wget2 is the successor of GNU Wget.
 
-Package: libwget0
+Package: libwget2t64
+Provides: ${t64:Provides}
+Breaks: libwget2 (<< ${source:Version})
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libwget0, libwget2
 Description: Download library for files and recursive websites
  GNU Wget is a network utility to retrieve files from the web
  using HTTP(S) and FTP, the two most widely used internet
@@ -54,7 +82,7 @@
 Section: libdevel
 Architecture: any
 Depends: wget2 (= ${binary:Version}), ${misc:Depends}
-Description: development file for libwget2
+Description: development file for libwget2t64
  GNU Wget is a network utility to retrieve files from the web
  using HTTP(S) and FTP, the two most widely used internet
  protocols. It works non-interactively, so it will work in
@@ -64,4 +92,3 @@
  home pages or to travel the web like a WWW robot.
  .
  These are the development files to build software with libwget.
-
