=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	if [ -f Makefile ] ; then dh_auto_clean ; fi
	if [ -d debian/tmp_save_gmo ] ; then mv debian/tmp_save_gmo/*.gmo po ; rmdir debian/tmp_save_gmo ; fi

override_dh_clean:
	dh_clean
	rm -rf build-aux
	find . -name Makefile.in -delete
	if [ -d lib.bak ] ; then rm -rf lib; mv lib.bak lib ; fi

execute_before_dh_autoreconf:
	cp -a lib lib.bak
# The original upstream tarball needs bootstrap to initialize gnulib
#	./bootstrap --no-git --gnulib-srcdir=/usr/share/gnulib

override_dh_auto_configure:
	mkdir debian/tmp_save_gmo
	cp -a po/*.gmo debian/tmp_save_gmo
	dh_auto_configure -- --enable-fsanitize-ubsan=no --with-bzip2 --without-libhsts
