## wget2 2.2.0+ds

=== debian/changelog ===
wget2 (2.2.0+ds-2) unstable; urgency=medium

  * Team upload (salsa debian group).
  * Fix build with recent gettext. Closes: #1120127.

 -- Santiago Vila <sanvila@debian.org>  Fri, 14 Nov 2025 19:50:00 +0100

wget2 (2.2.0+ds-1) unstable; urgency=medium

  * Team upload to unstable (salsa debian group).

 -- Shengqi Chen <harry@debian.org>  Tue, 04 Mar 2025 15:03:02 +0800

wget2 (2.2.0+ds-1~exp3) experimental; urgency=medium

  * Team upload (salsa debian group).
  * Disable libproxy on sparc64 to fix FTBFS.
  * wget2: install pre-generated manpages instead of building with pandoc
    (which is uninstallable on many architectures).
  * d/patches: add patch to remove use of git and get version from dpkg.

 -- Shengqi Chen <harry@debian.org>  Mon, 03 Mar 2025 19:34:34 +0800

wget2 (2.2.0+ds-1~exp2) experimental; urgency=medium

  * Team upload (salsa debian group).
  * d/control: make some B-D optional to avoid FTBFS on some architectures.
  * d/patches: add patch to fix wget_restrict_file_name on architectures
    where char is unsigned by default.
  * d/rules: ignore dh_auto_test error on hurd-amd64 due to instability of
    results.
  * Add symbol control file for libwget3.

 -- Shengqi Chen <harry@debian.org>  Sun, 02 Mar 2025 23:21:20 +0800

wget2 (2.2.0+ds-1~exp1) experimental; urgency=medium

  * Team upload (salsa debian group).

  [ Thomas Uhle ]
  * Do not run the test suite on IPv6-only hosts as long as it fails there.
    See: #1089156
  * debian/changelog: Change Thomas Uhle's email address to uhle@cpan.org.
  * debian/control: Bump Standards-Version to 4.7.2, no changes needed.

  [ Shengqi Chen ]
  * d/rules: clean docs/html dir after dh_auto_clean (closes: #1046967).
  * d/copyright: exclude fuzzer input files from upstream tar.
  * d/watch: use ftp.gnu.org, set name mangling, enable signature check.
  * New upstream version 2.2.0+ds
    + Bump SONAME to libwget3
  * d/control: add Multi-Arch: same for libwget{3,-dev}
  * d/patches: refresh existing patches
    + add patch to fix the linkage of libwget and wget2 binary
    + update metadata for no_need_to_depend_from_git.patch
    + add patch to disable some flaky tests when libproxy is enabled
  * d/rules: 
    + enable hardening flags
    + build with liblzma, libproxy and lfs support

 -- Shengqi Chen <harry@debian.org>  Sun, 02 Mar 2025 00:34:27 +0800
