=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: wget2
 Priority: optional
 Maintainer: Noël Köthe <noel@debian.org>
+# note: you might need to change d/patches/fix_linked_libraries.patch
+# if any dependent library has changes
 Build-Depends: debhelper-compat (=13),
-               dh-strip-nondeterminism,
-               doxygen,
+               doxygen <!nodoc>,
                flex,
                gettext,
                gnulib,
                graphviz,
+               inetutils-tools <!nocheck>,
                libbrotli-dev,
                libbz2-dev,
                libgnutls28-dev,
-               libgpgme-dev,
+               libgpgme-dev [!x32],
                libidn2-dev,
                liblz-dev,
                liblzma-dev,
@@ -19,14 +21,14 @@
                libnghttp2-dev,
                libpcre2-dev,
                libpsl-dev,
+               libproxy-dev [!sparc64],
                libzstd-dev,
                lzip,
-               pandoc,
                pkgconf,
                python3,
                texinfo,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: web
 Vcs-Git: https://salsa.debian.org/debian/wget2.git
 Vcs-Browser: https://salsa.debian.org/debian/wget2
@@ -35,7 +37,7 @@
 
 Package: wget2
 Architecture: any
-Depends: libwget2t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libwget3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Description: file and recursive website downloader
  GNU Wget is a network utility to retrieve files from the web
@@ -59,13 +61,11 @@
  .
  GNU Wget2 is the successor of GNU Wget.
 
-Package: libwget2t64
-Provides: ${t64:Provides}
-Breaks: libwget2 (<< ${source:Version})
+Package: libwget3
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libwget0, libwget2
 Description: Download library for files and recursive websites
  GNU Wget is a network utility to retrieve files from the web
  using HTTP(S) and FTP, the two most widely used internet
@@ -81,8 +81,10 @@
 Package: wget2-dev
 Section: libdevel
 Architecture: any
-Depends: wget2 (= ${binary:Version}), ${misc:Depends}
-Description: development file for libwget2t64
+Multi-Arch: same
+Depends: ${misc:Depends}
+Recommends: wget2 (= ${binary:Version})
+Description: development file for libwget
  GNU Wget is a network utility to retrieve files from the web
  using HTTP(S) and FTP, the two most widely used internet
  protocols. It works non-interactively, so it will work in
